/* $Id: translator.h,v 1.2 2004/01/19 22:31:30 jgordon Exp $ */

/* 
 * $Log: translator.h,v $
 * Revision 1.2  2004/01/19 22:31:30  jgordon
 * merge from GATEWAY_PRODUCT_1_BRANCH (MAINLINE_MP_1) to mainline
 *
 * Revision 1.1.2.1  2004/01/06 01:52:30  alan
 * Threaded interpreter engine
 *
 * Revision 1.1.2.1.2.1  1999/11/10 11:49:30  helmut
 * *** empty log message ***
 *
 */

#ifndef __translator_h
#define __translator_h

#include "code.h"
#include "engine.h"

void translate_to_icode(methods *meth);

char *opcode_2_string(unsigned char opcode);
Instr opcode_2_label(unsigned char opcode);
char *label_2_string(Instr label);
unsigned label_2_opcode(Instr label);
Instr string_2_label(char *label_string);
unsigned char string_2_opcode(char *opcode_string);
unsigned ip_2_pc(Instr* ip, methods *mp);
Instr* pc_2_ip(unsigned pc, methods *mp);

#endif

