//
// de.gyronet.kangaroo.io.ErrorConnection.java
// kangaroo
//
// Created by Marc Kleine-Budde on 03.19.2003
// Copyright (c) 2003 GYRO net GmbH. All rights reserved.
//

package de.gyronet.kangaroo.io;

import java.io.IOException;
import java.io.OutputStream;
import java.io.DataOutputStream;
import java.util.Hashtable;
import javax.microedition.io.Connection;
import javax.microedition.io.Connector;
import javax.microedition.io.OutputConnection;

/**
 * @version $Id: ErrorConnection.java,v 1.1.1.1 2003/10/31 00:47:08 carter Exp $
 * @author Volker Gies
 *
 */
public class ErrorConnection implements Protocol, OutputConnection {

    ConsoleImpl con;

    public Connection open(String target, Hashtable params, int mode, boolean timeouts) throws IOException {
	if (mode != Connector.WRITE) {
	    throw new IOException("illegal mode: " + mode);
	}

	con = new ConsoleImpl(2);

	con.mode = mode;
	con.open = true;
	con.openCounter++;

	return this;
    }

            
    public void close() throws IOException {
	con.close();
    }
    
    public OutputStream openOutputStream() throws IOException {
        return con.openOutputStream();
    }
    
    public DataOutputStream openDataOutputStream() throws IOException {
        return con.openDataOutputStream();
    }
}
