//
// de.gyronet.kangaroo.io.TCPFactoryConnection.java
// kangaroo
//
// Created by Marc Kleine-Budde on 04.22.2003
// Copyright (c) 2003 GYRO net GmbH. All rights reserved.
//
// inspired by
// the Kaffe Project
//

package de.gyronet.kangaroo.io;

import java.io.IOException;
import java.lang.IllegalArgumentException;
import java.util.Hashtable;
import javax.microedition.io.Connection;
import javax.microedition.io.Connector;
import javax.microedition.io.SocketConnection;

public class TCPFactory implements Protocol {

    public Connection open(String target, Hashtable params, int mode, boolean timeouts) throws IOException {

	Connection con;
	URL targetURL = URL.parseURL(target);

	if (targetURL.addr == 0) {
	    con = (new TCPServerConnection()).open(targetURL, params, mode, timeouts);
	} else {
	    con = (new TCPConnection()).open(targetURL, params, mode, timeouts);
	}

	return con;
    }
}
