//
// de.gyronet.kangaroo.lang.reflect.CombReflect.java
// kangaroo
//
// Created by Marc Kleine-Budde on 03.13.2003
// Copyright (c) 2003 GYRO net GmbH. All rights reserved.
//
// inspired by / copied from: java.lang.reflect.Modifier.java
//			      java.lang.reflect.Constructor.java
//			      java.lang.reflect.Method.java
// from the Kaffe Project
//
// see original Copyright below... 

/*
 * Java core library component.
 *
 * Copyright (c) 1997, 1998, 2001
 *      Transvirtual Technologies, Inc.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file.
 *
 * Checked Since: JDK 1.3
 */
/*
 * Java core library component.
 *
 * Copyright (c) 1997, 1998, 2001, 2002
 *      Transvirtual Technologies, Inc.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file.
 *
 * Checked Spec: JDK 1.3
 */

package de.gyronet.kangaroo.lang.reflect;

public class CombReflect {
    private Class clazz;
    private int slot;

    public static final int ABSTRACT = 0x0400;

    private CombReflect() {
    }

    public static boolean isAbstract(int mod) {
	return ((mod & ABSTRACT) == 0 ? false : true);
    }

    public native Object newInstance() throws InstantiationException, IllegalArgumentException;
}
