/*  -*- mode:c; c-set-style:"K&R"; c-basic-offset:8; -*- */

#ifndef __LCL_UTIL_H__
#define __LCL_UTIL_H__

#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <stdarg.h>

/* lite-weight api for public consumption */

char *lcl_send_query(char *query);
char *snmp_lcl_send_query(char *query);
void lcl_print_xml(xmlDocPtr doc, xmlNodePtr cur);
void lcl_url_decode(char *in);
xmlDocPtr lcl_get(const char *service, const char *service_name, ...);
xmlDocPtr lcl_get_with_fields(const char *service, const char *field, const char *scalar, const char *service_name, ...);
xmlDocPtr lcl_set(const char *service, const char *service_name, const char *prop, const char *val);
xmlNodePtr lcl_find_node(xmlDocPtr doc, xmlNodePtr cur, xmlChar *str);

#endif /* __LCL_UTIL_H__ */

/* vi:set ts=8:sw=8:tw=98: */
