#ifndef __PHY_OPERATIONS___
#define __PHY_OPERATIONS___

typedef struct phy_oper_info_s{
	int if_index;		/* Interface index */
	int phy_type;
	int curr_reg_domain;
	int temp_type;
}dot11_phy_oper_info;


int GetPhyOperationsEntries(void);
int GetPhyOperationsTableData(void);
int GetPhyOperationTableIndexCount(void);
void GetPhyOperationsEntryByIndex(int index, dot11_phy_oper_info *info);
int SetCurrentRegDomain(dot11_phy_oper_info *info, int *val, int len);
#endif  /* __PHY_OPERATIONS__*/
