<!-- Copyright 2004 Instant802 Networks, Inc. All Rights Reserved. -->

<?ct def:print_cw(direction, queue, type) ?>
    <?ct set:input_name = direction + "Queue" + queue + type ?>
    <select name="<?ct var:input_name ?>">
        <option <?ct call:print_option_value_selecteded(input_name, "1") ?>>1</option>
        <option <?ct call:print_option_value_selecteded(input_name, "3") ?>>3</option>
        <option <?ct call:print_option_value_selecteded(input_name, "7") ?>>7</option>
        <option <?ct call:print_option_value_selecteded(input_name, "15") ?>>15</option>
        <option <?ct call:print_option_value_selecteded(input_name, "31") ?>>31</option>
        <option <?ct call:print_option_value_selecteded(input_name, "63") ?>>63</option>
        <option <?ct call:print_option_value_selecteded(input_name, "127") ?>>127</option>
        <option <?ct call:print_option_value_selecteded(input_name, "255") ?>>255</option>
        <option <?ct call:print_option_value_selecteded(input_name, "511") ?>>511</option>
        <option <?ct call:print_option_value_selecteded(input_name, "1023") ?>>1023</option>
    </select>
<?ct /def ?>

<?ct def:print_tx_queue(queue_id, queue_name) ?>
    <tr>
        <td class="section-header">
            <?ct var:queue_name ?>
        </td>
        <td align="center">
            <input class="value" type="text" size="3" maxlength="3" <?ct call:print_text_name_value("txQueue" + queue_id + "Aifs") ?>>
        </td>
        <td align="center">
            <?ct call:print_cw("tx", queue_id, "Cwmin") ?>
        </td>
        <td align="center">
            <?ct call:print_cw("tx", queue_id, "Cwmax") ?>
        </td>
        <td align="center">
            <input class="value" type="text" size="5" maxlength="5" <?ct call:print_text_name_value("txQueue" + queue_id + "Burst") ?>>
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_validate_tx_queue(queue_id, queue_name) ?>
    function validate<?ct var:queue_id ?>() {
        var msg = "";
        msg = msg
            + validateAifs(document.forms[0].elements['txQueue<?ct var:queue_id ?>Aifs'].value);
        msg = msg
            + validateBurst(document.forms[0].elements['txQueue<?ct var:queue_id ?>Burst'].value);
        msg = msg
            + validateCw(document.forms[0].elements['txQueue<?ct var:queue_id ?>Cwmin'].value,
                         document.forms[0].elements['txQueue<?ct var:queue_id ?>Cwmax'].value);
        if (msg.length > 0) {
            msg = "There are problems with the <?ct var:queue_name ?> settings -\n"
                + msg
                + "\n";
        }
        return msg;
    }
<?ct /def ?>

<?ct def:print_wme_queue(queue_id, queue_name) ?>
    <tr>
        <td class="section-header">
            <?ct var:queue_name ?>
        </td>
        <td align="center">
            <input class="value" type="text" size="3" maxlength="3" <?ct call:print_text_name_value("wmeQueue" + queue_id + "Aifs") ?>>
        </td>
        <td align="center">
            <?ct call:print_cw("wme", queue_id, "Cwmin") ?>
        </td>
        <td align="center">
            <?ct call:print_cw("wme", queue_id, "Cwmax") ?>
        </td>
        <td align="center">
            <input class="value" type="text" size="5" maxlength="5" <?ct call:print_text_name_value("wmeQueue" + queue_id + "TxopLimit") ?>>
        </td>
	<?ct if:CONFIG_OAP_WME_ACM ?>
        <td align="center">
            <input class="value" type=checkbox <?ct call:print_box_name_checked("wmeQueue" + queue_id + "Acm", "1") ?>>
            <input class="value" type=hidden name="wmeQueue<?ct var:queue_id ?>Acm" value="hidden">
        </td>
	<?ct /if ?>
    </tr>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Enables or disables user interaction with a WME parameter queue.
 * @param queue_id the WME queue identifier
 * @param enabled true to enable, false to disable
 */
<?ct /if ?>
<?ct def:toggle_wme_queue_enabled(queue_id, enabled) ?>
	document.forms[0].elements['wmeQueue<?ct var: queue_id ?>Aifs'].disabled = ! enabled;
	document.forms[0].elements['wmeQueue<?ct var: queue_id ?>Cwmin'].disabled = ! enabled;
	document.forms[0].elements['wmeQueue<?ct var: queue_id ?>Cwmax'].disabled = ! enabled;
	document.forms[0].elements['wmeQueue<?ct var: queue_id ?>TxopLimit'].disabled = ! enabled;
	<?ct if:CONFIG_OAP_WME_ACM ?>
	document.forms[0].elements['wmeQueue<?ct var: queue_id ?>Acm'].disabled = ! enabled;
	<?ct /if ?>
<?ct /def ?>
