/*
 * Created on Jan 16, 2004
 * author: Robin Barooah
 * (C) 2003 Instant802 Networks Inc
 */
package com.instant802.cldc.LSQL;

import org.kxml2.kdom.Element;

import com.instant802.cldc.DataPath.XMLRepresentationException;
import com.instant802.cldc.deviceconfiguration.ConfigObject;
import com.instant802.cldc.deviceconfiguration.Schema;

/**
 * @author robin
 */
public class LSQLObjectChanged {
	static final String TYPE = "object_changed";
	private Element root;
	
	LSQLObjectChanged( LSQLNotification notification  ) {
		this.root = notification.getRoot();
	}

	ConfigObject getObject( Schema schema ) throws XMLRepresentationException {
		if( root.getChildCount() == 1 ) {
			Element child = root.getElement( 0 );
			return new ConfigObject( schema, child );			
		} else {
			throw new XMLRepresentationException( "object_changed tag didn't have a single object as its content" );
		}
	}
	
}
