/*
 * Created on Nov 21, 2003
 *
 * (c) 2003 Robin Barooah
 */
package com.instant802.cldc.coordination;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Vector;

import com.instant802.cldc.messaging.Message;
import com.instant802.cldc.net.SocketException;
import com.instant802.cldc.util.Log;

/**
* (c) 2003 Robin Barooah
*/
public class AgentGroup {

	private final Vector group = new Vector();

	public AgentGroup(Hashtable agents) {
		Enumeration e = agents.elements();
		while( e.hasMoreElements() ) {
			group.addElement( e.nextElement() );
		}
	}

	public void send(Message received) {
		Enumeration e = group.elements();
		while( e.hasMoreElements() ) {
			ClientAgent agent = (ClientAgent) e.nextElement();
			try {
				agent.send(received);
			} catch (SocketException e1) {
				error( e1 );
			}			
		}
	}

	private void error(SocketException e1) {
		Log.error("AgentGroup", e1 );
	}}
