/*
 * Created on Nov 4, 2003
 * author: Robin Barooah
 * (C) 2003 Instant802 Networks Inc
 */
package com.instant802.cldc.deviceconfiguration;

import com.instant802.cldc.LSQL.LSQLStatement;

/**
 * @author robin
 */
public class PKField extends PrimaryKey {

	protected final String fieldName;
	
	PKField( String name ) {
		this.fieldName = name;
	}

	public void addToLSQLStatement(LSQLStatement statement, StringBuffer document, HasPrimaryKey object ) {
		statement.appendWhere( document, fieldName, object.field( fieldName ) );
	}

	public Object value(HasPrimaryKey object) {
		return object.field( fieldName );
	}
}
