/*
 * Created on Nov 4, 2003
 * author: Robin Barooah
 * (C) 2003 Instant802 Networks Inc
 */
package com.instant802.cldc.deviceconfiguration;

import com.instant802.cldc.LSQL.LSQLStatement;

/**
 * @author robin
 */
public class PKSingleton extends PrimaryKey {

	private final String type;

	public PKSingleton( String type ) {
		this.type = type;
	}

	public void addToLSQLStatement(LSQLStatement statement, StringBuffer document, HasPrimaryKey object) {
		// do nothing here
	}

	public String type() {
		return type;
	}

	public Object value(HasPrimaryKey object) {
		return type;
	}

	public String value() {
		return type;
	}
}
