/*
 * Created on Jan 9, 2004
 * written by robin
 * (C) 2003 Instant802 Networks Inc
 */
package com.instant802.cldc.deviceconfiguration;

/**
 * @author robin
 */
public class SystemConfig extends ConfigObjectAdapter {

	public static final String TYPE = "system";
	public static final PKSingleton PK = new PKSingleton( TYPE );
	
	private static String MODEL = "model";
	private static String ENCRYPTED_PASSWORD = "encrypted-password";
	private static String PASSWORD_INITIALIZED = "password-initialized";
	
	public static final String[] SHARED_FIELDS = new String[] { ENCRYPTED_PASSWORD, PASSWORD_INITIALIZED };


	public SystemConfig( ConfigObject object ) {
		super( object );
	}

	public String model() {
		return field( MODEL );
	}
}

