package com.instant802.cldc.radius;

import com.instant802.cldc.net.SocketTimeoutException;
import com.instant802.cldc.util.Log;

/**
 * @author greg
 * 
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates. To enable and disable the creation of
 * type comments go to Window>Preferences>Java>Code Generation.
 */
public class Receiver extends Thread
{
	byte[] buffer = new byte[4096];
	public void run()
	{
		while (Proxy.running)
		{
			try
			{
				if (Log.DEBUG) debug("************************* Entering receive ");
				Proxy.receiveQueue.enqueue(Proxy.socket.receive(buffer));
				if (Log.DEBUG) debug("************************* Left receive");
			}
			catch (SocketTimeoutException toe)
			{
				if (Log.DEBUG) debug("Radius: waiting for packet");
			}
			catch (Exception e)
			{
				if (Log.DEBUG) debug("LAS receiver: error on receive packet " + e.toString());
			}
			try { Thread.sleep(10); } catch (Exception _) {}
		}
		if (Log.DEBUG) debug("exiting main loop");
	}
	
	private void debug(String msg) {
		Log.debug("Proxy.Receiver", msg);
	}
}
