RUN_DIR=`dirname $0`
# Set all variables used by config to abs dirs
if [ -z "$SSLDIR" ] ; then
    export SSLDIR=`cd ${RUN_DIR}/../open-ssl;pwd`
fi
if [ -z "$TOOLS_HOME" ] ; then
    export TOOLS_HOME=`cd ${RUN_DIR}/../;pwd`
fi
export KAFFEH=/usr/local/kaffe/bin/kaffeh
./configure  --disable-debug --disable-xprofiling --disable-xdebugging --disable-feedback --without-profiling  \
--without-stats --disable-gcj --disable-sound --without-esd --without-alsa --without-qtdir --without-awt  \
--without-x --with-jikes=javac --without-suncompat  \
--without-dnsjava --without-cldc-bigint \
--with-api=cldc --with-staticvm --with-staticlib --disable-shared \
--prefix=$PWD/installation --ssldir="${SSLDIR}"

