#ifndef __LCL_REG_DOMAIN_SUPP_H___
#define __LCL_REG_DOMAIN_SUPP_H___

#include<stdarg.h>
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/tree.h>
#include "xmlutils.h"
#include "reg_domain_supp.h"

#define REG_DOMAIN_FCC		16
#define REG_DOMAIN_DOC		32
#define REG_DOMAIN_ETSI		48
#define REG_DOMAIN_SPAIN	49
#define REG_DOMAIN_FRANCE	50
#define REG_DOMAIN_MKK		64

/* columns present in station config tables */
#define REG_DOMAINS_SUPPORT_VALUE   "reg-domains-support-value"

struct reg_domain_data_info {
	char *reg_domain_supp_value;
	int reg_domain_supp_value_len;
};

static int CheckAndRetrieveRegDomainSupportedValue(xmlDocPtr);

static void lcl_reg_domain_supp_value_xml(xmlDocPtr, xmlNodePtr);

static void GetRegDomainSupportValue(int);
#endif  /* __LCL_REG_DOMAIN_SUPP_H__*/
