#ifndef __PHY_TX_POWER_H___
#define __PHY_TX_POWER_H___

typedef struct Phy_Tx_Power_info_s{
	int if_index;
	int num_supp_power_levels;
	int phy_tx_pow_lev1;
	int phy_tx_pow_lev2;
	int phy_tx_pow_lev3;
	int phy_tx_pow_lev4;
	int phy_tx_pow_lev5;
	int phy_tx_pow_lev6;
	int phy_tx_pow_lev7;
	int phy_tx_pow_lev8;
	int cur_tx_pow_lev;
} phy_tx_power_info;


int GetPhyTxPowerEntries(void);
int GetPhyTxPowerTableData(void);
int GetPhyTxPowerTableIndexCount(void);
void GetPhyTxPowerEntryByIndex(int index, phy_tx_power_info *info);
int SetCurrentPowerLevel(phy_tx_power_info *info, int *val, int len);
#endif  /* __PHY_TX_POWER_H__*/
